com.sun.mirror.declaration

## Interface EnumDeclaration

All Superinterfaces:
  ClassDeclaration, Declaration, MemberDeclaration, TypeDeclaration

    public interface EnumDeclaration
    extends ClassDeclaration

Represents the declaration of an enum type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<EnumConstantDeclaration>` `getEnumConstants()` Returns the enum constants defined for this enum.

### Methods inherited from interface com.sun.mirror.declaration.ClassDeclaration

`getConstructors, getMethods, getSuperclass`

### Methods inherited from interface com.sun.mirror.declaration.TypeDeclaration

`getFields, getFormalTypeParameters, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Method Detail

#### getEnumConstants

    Collection<EnumConstantDeclaration> getEnumConstants()

Returns the enum constants defined for this enum.

Returns:
  the enum constants defined for this enum, or an empty collection if there are none